Skip to main content
GET
/
tax
/
gains
/
summary
/
{subaccountId}
List Gains
curl --request GET \
  --url https://api.anchorage-staging.com/v2/tax/gains/summary/{subaccountId} \
  --header 'Api-Access-Key: <api-key>'
{
  "data": {
    "shortTerm": {
      "assetType": "USD",
      "quantity": "20204.23"
    },
    "longTerm": {
      "assetType": "USD",
      "quantity": "200304.1"
    },
    "total": {
      "assetType": "USD",
      "quantity": "220308.33"
    }
  }
}

Authorizations

Api-Access-Key
string
header
required

An API key associated with a security role

Path Parameters

subaccountId
string
required

The ID of the subaccount

Query Parameters

startDateTime
string<date-time>
required

ISO-8601 formatted date as a filter start date.

endDateTime
string<date-time>
required

ISO-8601 formatted date as a filter end date.

Response

Successfully returned the gains

data
TaxGains · object
required

Breakdown of tax gains into short term, long term and total

Example:
{
"shortTerm": {
"assetType": "USD",
"quantity": "20204.23"
},
"longTerm": {
"assetType": "USD",
"quantity": "200304.1"
},
"total": {
"assetType": "USD",
"quantity": "220308.33"
}
}